> For the complete documentation index, see [llms.txt](https://docs.instruqt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.instruqt.com/reference/platform/third-party-network-access.md).

# Network access

The Instruqt platform ([play.instruqt.com](broken://spaces/gTfgXPLQ9tIiGrbaKxkN/pages/8k1K3jpMergqAN33INjF)) depends on the following network endpoints to provide its services. Below you can find all required and optional providers and the domain names used.

### First party (required)

* Instruqt Core Platform
  * <https://play.instruqt.com> (443)
  * <https://ping.instruqt.com> (443)
* Instruqt CDN - static resources
  * <https://cdn.instruqt.com> (443)
  * <https://static.instruqt.com> (443)
* Instruqt Sandbox environments
  * https\://\*.env.play.instruqt.com (443) - Secure proxy to Sandboxes
  * wss\://\*.env.play.instruqt.com (443) - Secure WebSocket traffic to enable terminal and virtual browser sessions
  * [\*.instruqt.io](broken://spaces/hbHeawlqOTpTeluKxJpd) (80, 443, 1024-65535) - In case [external ingress](/reference/platform/networking.md#unauthenticated-tcp-udp-traffic) has been enabled for sandbox VMs. Note that the type of traffic can be anything, depending on the applications running within the sandbox.

### **Third party providers (required)**

* Google Fonts - Fonts
  * <https://fonts.googleapis.com> (443)
  * <https://fonts.gstatic.com> (443)
* Firebase Authentication - Authentication and session management
  * <https://firebase.googleapis.com> (443)
  * <https://firebaseinstallations.googleapis.com> (443)
  * <https://identitytoolkit.googleapis.com> (443)
  * <https://securetoken.googleapis.com> (443)

### Analytics/crashlytics providers (optional)

* Sentry - Crash analytics
  * <https://o158370.ingest.sentry.io> (443)
* Hotjar - Behavior analytics
  * <https://static.hotjar.com> (443)
* Google Analytics / Tag Manager - Usage analytics
  * <https://www.googletagmanager.com> (443)
  * [https://www.google-analytics.com](/getting-started/set-up-instruqt.md) (443)
  * https\://\*.google-analytics.com (443)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.instruqt.com/reference/platform/third-party-network-access.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
